<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:paddingLeft="16.0dip" android:paddingRight="16.0dip" android:descendantFocusability="blocksDescendants" android:layout_width="fill_parent" android:layout_height="wrap_content"
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <LinearLayout android:gravity="center_horizontal" android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content">
        <TextView android:textSize="13.0sp" android:textColor="#80747989" android:id="@id/tv_sendtime" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="30.0dip" android:text="@string/tv_sendtime" />
    </LinearLayout>
    <RelativeLayout android:id="@id/rl_content" android:paddingTop="15.0dip" android:layout_width="fill_parent" android:layout_height="wrap_content">
        <com.moji.imageview.RoundCornerImageView android:id="@id/riv_userhead" android:focusable="false" android:layout_width="37.0dip" android:layout_height="37.0dip" android:layout_marginTop="2.0dip" android:src="@drawable/default_user_face_male" android:scaleType="centerCrop" android:layout_alignParentTop="true" android:layout_alignParentRight="true" app:corner_radius="19.0dip" />
        <LinearLayout android:gravity="center_vertical" android:orientation="horizontal" android:id="@id/ll_content" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_toLeftOf="@id/riv_userhead">
            <ProgressBar android:id="@id/pb_feeb_back" android:layout_width="20.0dip" android:layout_height="20.0dip" android:layout_marginRight="9.0dip" android:indeterminateDrawable="@drawable/feed_back_progress" />
            <ImageView android:id="@id/iv_send_failed" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="9.0dip" android:src="@drawable/feed_send_failed" />
            <TextView android:textSize="18.0sp" android:textColor="#ff747989" android:gravity="center|left" android:id="@id/tv_chatcontent" android:background="@drawable/feed_back_to_bg" android:paddingLeft="9.0dip" android:paddingTop="8.0dip" android:paddingRight="13.0dip" android:paddingBottom="6.0dip" android:focusable="true" android:clickable="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="5.0dip" android:text="" android:maxEms="10" android:lineSpacingExtra="3.0dip" />
            <ImageView android:gravity="center|left" android:id="@id/iv_suggest_image_to_send" android:visibility="gone" android:layout_width="80.0dip" android:layout_height="80.0dip" android:layout_marginRight="5.0dip" />
        </LinearLayout>
        <TextView android:textSize="15.0sp" android:textColor="#ff818181" android:gravity="center" android:id="@id/tv_username" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_toRightOf="@id/ll_content" android:layout_below="@id/riv_userhead" android:layout_alignParentRight="true" />
    </RelativeLayout>
    <RelativeLayout android:id="@id/rl_last" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="10.0dip" />
</LinearLayout>